//
//  YDTempUrlInstance.m
//  Open
//
//  Created by 雷俊博 on 2021/7/21.
//  Copyright © 2021 黄江涛 . All rights reserved.
//

#import "YDTempUrlInstance.h"

static YDTempUrlInstance *instance;
@implementation YDTempUrlInstance
+ (instancetype)allocWithZone:(struct _NSZone *)zone
{
    
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        instance = [super allocWithZone:zone];
    });
    
    return instance;
}

+ (instancetype)shareInstance{
    return [[self alloc]init];
}

+ (void)destroyInstance
{
    instance=nil;
}

- (void)dealloc
{
    NSLog(@"YDTempUrlInstance已销毁");
}

@end
